using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Telerik.WebControls;
using System.Globalization;

namespace DateInputCulture
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                CultureInfo[] cultures = CultureInfo.GetCultures(CultureTypes.FrameworkCultures);
                foreach (CultureInfo culture in cultures)
                {
                    if ((!culture.IsNeutralCulture))
                    {
                        RadComboBox1.Items.Add(new RadComboBoxItem(culture.DisplayName, culture.Name));
                    }
                }
                RadComboBox1.FindItemByValue("en-US").Selected = true;
            }
        }

        protected void RadComboBox1_SelectedIndexChanged(object o, Telerik.WebControls.RadComboBoxSelectedIndexChangedEventArgs e)
        {
            CultureInfo cultureInfo = new CultureInfo(RadComboBox1.SelectedValue);
            RadDateInput1.Culture = cultureInfo;
            RadCalendar1.CultureInfo = cultureInfo;
        }
    }
}
